Issues with queue.taskcluster.net causing build bustage

RESOLVED FIXED

Status

Taskcluster
Queue
P1
blocker
RESOLVED FIXED
2 years ago
2 years ago

People

(Reporter: nigelb, Unassigned)

Tracking

Details

Taking a look now...
https://treeherder.mozilla.org/logviewer.html#?job_id=19272889&repo=mozilla-inbound

seems to be resolved now - a temporary outage?

$ curl -L https://queue.taskcluster.net/v1/task/Q0GXAlg-SyCalKlogb6lJw/artifacts/public/build/firefox-46.0a1.en-US.linux-x86_64-asan.common.tests.zip > ~/Desktop/firefox-46.0a1.en-US.linux-x86_64-asan.common.tests.zip
  % Total    % Received % Xferd  Average Speed   Time    Time     Time  Current
                                 Dload  Upload   Total   Spent    Left  Speed
100    29  100    29    0     0     20      0  0:00:01  0:00:01 --:--:--    20
100 23.3M  100 23.3M    0     0  1054k      0  0:00:22  0:00:22 --:--:-- 1330k
https://treeherder.mozilla.org/logviewer.html#?job_id=19272722&repo=mozilla-inbound

 23:38:51     INFO - Starting new HTTPS connection (1): queue.taskcluster.net

 c:\builds\moz2_slave\m-in-w64-000000000000000000000\build\venv\Lib\site-packages\requests\packages\urllib3\util\ssl_.py:90: InsecurePlatformWarning: A true SSLContext object is not available. This prevents urllib3 from configuring SSL appropriately and may cause certain SSL connections to fail. For more information, see https://urllib3.readthedocs.org/en/latest/security.html#insecureplatformwarning.

The current SSL certificate on queue.taskcluster.net is valid, verified by DigiCert Inc, and expires on 13 July 2016, so the cause does not appear to be an expired SSL certificate.

However, https://urllib3.readthedocs.org/en/latest/security.html#insecureplatformwarning suggests upgrading python libs to avoid this issue.
The current (valid) SSL certificate on queue.taskcluster.net:

-----BEGIN CERTIFICATE-----
MIIFJDCCBAygAwIBAgIQCf+zOg3n599b7OhUcCJ7nTANBgkqhkiG9w0BAQsFADBN
MQswCQYDVQQGEwJVUzEVMBMGA1UEChMMRGlnaUNlcnQgSW5jMScwJQYDVQQDEx5E
aWdpQ2VydCBTSEEyIFNlY3VyZSBTZXJ2ZXIgQ0EwHhcNMTUwNjE2MDAwMDAwWhcN
MTYwNzEzMTIwMDAwWjBsMQswCQYDVQQGEwJVUzELMAkGA1UECBMCQ0ExFjAUBgNV
BAcTDU1vdW50YWluIFZpZXcxHDAaBgNVBAoTE01vemlsbGEgQ29ycG9yYXRpb24x
GjAYBgNVBAMMESoudGFza2NsdXN0ZXIubmV0MIIBIjANBgkqhkiG9w0BAQEFAAOC
AQ8AMIIBCgKCAQEA3lwDE994Lowk3G553UAEBxb+vQPY+CQ2YVKVrPIm8I/587Ul
VoVdQkRCmgBdI4I3XDmYueGW4Q4QlaYGQHStxro3FpLVNXYSuf0dCbC9gKEKeiV8
aKUPbDPH8Mqac0F37LFRqoneyI38qdOQtHm3TXxstsmg67GU4cGHf1SV/rdLbcwA
hjmM3I4pNHe+HNCSa3PvybLt5BIjKtS/Vq1Fiffp6f1yTGUNViiHzJtQGACd8S9c
I5CtMHBHWx/bdj/b9x/X+1GdBXQPMGfcr3HF60fYIL9I34EPiIu69ReJi+xR1Gdb
/5BCg8ldSEHgqq2N46fRVfehMsvcG41UoowpswIDAQABo4IB3zCCAdswHwYDVR0j
BBgwFoAUD4BhHIIxYdUvKOeNRji0LOHG2eIwHQYDVR0OBBYEFJHZR9rmJ+0eTxA5
BRRDtestcPDGMC0GA1UdEQQmMCSCESoudGFza2NsdXN0ZXIubmV0gg90YXNrY2x1
c3Rlci5uZXQwDgYDVR0PAQH/BAQDAgWgMB0GA1UdJQQWMBQGCCsGAQUFBwMBBggr
BgEFBQcDAjBrBgNVHR8EZDBiMC+gLaArhilodHRwOi8vY3JsMy5kaWdpY2VydC5j
b20vc3NjYS1zaGEyLWc0LmNybDAvoC2gK4YpaHR0cDovL2NybDQuZGlnaWNlcnQu
Y29tL3NzY2Etc2hhMi1nNC5jcmwwQgYDVR0gBDswOTA3BglghkgBhv1sAQEwKjAo
BggrBgEFBQcCARYcaHR0cHM6Ly93d3cuZGlnaWNlcnQuY29tL0NQUzB8BggrBgEF
BQcBAQRwMG4wJAYIKwYBBQUHMAGGGGh0dHA6Ly9vY3NwLmRpZ2ljZXJ0LmNvbTBG
BggrBgEFBQcwAoY6aHR0cDovL2NhY2VydHMuZGlnaWNlcnQuY29tL0RpZ2lDZXJ0
U0hBMlNlY3VyZVNlcnZlckNBLmNydDAMBgNVHRMBAf8EAjAAMA0GCSqGSIb3DQEB
CwUAA4IBAQBKQw49EQskFT3WzFUSk3hm1cWVOnkum7h154LJ62XQdXBhEt7v0/f0
VmH3bqjwDq5xBcjLvYq+PCARXFrzJa/WxOEZ4zbPcM4Xo95bzt77V3KimFYRaKhr
dTy53ABRGXgsw0al1vfOQeANrsWIDab7xB1K1qM7HucAsqlfD4lGezS7vWmlbt7S
2X/RYVAKmeKJ673L3ef1v97e5qLNjcbGCshjHnh+E6kZ+CnMiN61LdqgI2piJB77
yiNhgThT63fm7XMvQP+h2p0SN0xwrdXNVAP44jNsA117CtZsUEbEt/MVgy759Cnl
HEu81150n7zGGlDYX7Xy+7lWpPTMWxkv
-----END CERTIFICATE-----
(Reporter)

Comment 5

2 years ago
Created bug 1236832 for the insecure platform warnings. This is now fixed, so I'm going to mark this bug as closed. Pete has opened bug 1236831 for a postmortem.
Status: NEW → RESOLVED
Last Resolved: 2 years ago
Resolution: --- → FIXED

Comment 6

2 years ago
108 automation job failures were associated with this bug yesterday.

Repository breakdown:
* mozilla-inbound: 107
* b2g-inbound: 1

Platform breakdown:
* windows8-64: 58
* linux64: 34
* b2g-linux64: 3
* b2g-emu-kk: 3
* windowsxp: 2
* linux32: 2
* android-4-0-armv7-api11: 2
* android-2-3-armv7-api9: 2
* osx-10-7: 1
* android-4-2-x86: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1236812&startday=2016-01-05&endday=2016-01-05&tree=all

Comment 7

2 years ago
108 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* mozilla-inbound: 107
* b2g-inbound: 1

Platform breakdown:
* windows8-64: 58
* linux64: 34
* b2g-linux64: 3
* b2g-emu-kk: 3
* windowsxp: 2
* linux32: 2
* android-4-0-armv7-api11: 2
* android-2-3-armv7-api9: 2
* osx-10-7: 1
* android-4-2-x86: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1236812&startday=2016-01-04&endday=2016-01-10&tree=all
You need to log in before you can comment on or make changes to this bug.